# IpePdfObj Class Reference
[Ipe Base]

Abstract base class for PDF objects. More...

Inherited by IpePdfArray, IpePdfBool, IpePdfDict, IpePdfName, IpePdfNull, IpePdfNumber, IpePdfRef, and IpePdfString.

List of all members.

## Public Member Functions

- virtual ~IpePdfObj ()=0
- virtual const IpePdfNull * Null () const
- virtual const IpePdfBool * Bool () const
- virtual const IpePdfNumber * Number () const
- virtual const IpePdfString * String () const
- virtual const IpePdfName * Name () const
- virtual const IpePdfRef * Ref () const
- virtual const IpePdfArray * Array () const
- virtual const IpePdfDict * Dict () const
- virtual void Write (IpeStream &stream) const=0
- IpeString Repr () const

## Detailed Description

Abstract base class for PDF objects.

## Constructor & Destructor Documentation

IpePdfObj::~IpePdfObj | ( |  | ) | `[pure virtual]`

| Pure virtual destructor.

## Member Function Documentation

const IpePdfNull * IpePdfObj::Null | ( |  | ) | const`[virtual]`

| Return this object as PDF null object. Reimplemented in IpePdfNull.

const IpePdfBool * IpePdfObj::Bool | ( |  | ) | const`[virtual]`

| Return this object as PDF bool object. Reimplemented in IpePdfBool.

const IpePdfNumber * IpePdfObj::Number | ( |  | ) | const`[virtual]`

| Return this object as PDF number object. Reimplemented in IpePdfNumber.

const IpePdfString * IpePdfObj::String | ( |  | ) | const`[virtual]`

| Return this object as PDF string object. Reimplemented in IpePdfString.

const IpePdfName * IpePdfObj::Name | ( |  | ) | const`[virtual]`

| Return this object as PDF name object. Reimplemented in IpePdfName.

const IpePdfRef * IpePdfObj::Ref | ( |  | ) | const`[virtual]`

| Return this object as PDF reference object. Reimplemented in IpePdfRef.

const IpePdfArray * IpePdfObj::Array | ( |  | ) | const`[virtual]`

| Return this object as PDF array object. Reimplemented in IpePdfArray.

const IpePdfDict * IpePdfObj::Dict | ( |  | ) | const`[virtual]`

| Return this object as PDF dictionary object. Reimplemented in IpePdfDict.

IpeString IpePdfObj::Repr | ( |  | ) | const

| Return PDF representation of the object.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp